---
lang: en
title: 'API docs: repository.defaultreferencesmanyrepository.get'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.defaultreferencesmanyrepository.get.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultReferencesManyRepository](./repository.defaultreferencesmanyrepository.md) &gt; [get](./repository.defaultreferencesmanyrepository.get.md)

## DefaultReferencesManyRepository.get() method

<b>Signature:</b>

```typescript
get(options?: Options): Promise<TargetEntity>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [Options](./repository.options.md) | <i>(Optional)</i> |

<b>Returns:</b>

Promise&lt;TargetEntity&gt;


